package ibase.webitm.ejb.sys;

import ibase.webitm.utility.ITMException;
import org.w3c.dom.*;
import javax.ejb.EJBObject;
import ibase.webitm.ejb.*;
import ibase.webitm.utility.ITMException;
import javax.ejb.Remote;

import java.rmi.RemoteException;

import org.w3c.dom.Document;

public interface DeviceAuthenticationRemote extends ValidatorLocal{
public String wfValData() throws RemoteException,ITMException;
	
	public String wfValData(String xmlString, String xmlString1, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
		
	public String wfValData(Document dom, Document dom1, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
		
		public String itemChanged() throws RemoteException,ITMException;
		
		public String itemChanged(String xmlString, String xmlString1, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;
		
		public String itemChanged(Document dom, Document dom1, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;

}
